Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706462 (pygtk-removal) - [Tracker] dev-python/pygtk removal
Summary: [Tracker] dev-python/pygtk removal
Status: RESOLVED FIXED
Alias: pygtk-removal
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2020-09-21
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://qa-reports.gentoo.org/output/...
Whiteboard:
Keywords: PMASKED, Tracker
Depends on: 698984 598906 626374 638774 gnome2-python-removal 689406 695012 702288 705528 705650 705662 706030 706464 706466 706468 706470 706476 706478 706480 706486 706488 706490 706494 706496 706500 706636 707052 707900 708068 708074 708076 708094 708096 708098 708100 708102 708104 708106 708108 708112 708114 708116 708122 708124 708126 708128 708132 708134 708138 708140 708142 708144 708150 708152 708154 708156 708162 708164 708168 708170 708172 708174 708176 708178 708304 710160 710162 710164 710166 710170 710172 710180 711684 720346 735512
Blocks: py3-tracker, python-3-incompatible 728956
  Show dependency tree
 
Reported: 2020-01-26 15:31 UTC by Andreas Sturmlechner
Modified: 2020-09-21 14:32 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-01-26 15:31:14 UTC
This package is dead and everyone must port away from it.

Tracking long-term effort, no talking in here.
Comment 1 Larry the Git Cow gentoo-dev 2020-08-22 15:51:34 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8897071a78e0abd38eab7283c180d48e268c3d12

commit 8897071a78e0abd38eab7283c180d48e268c3d12
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-08-22 15:48:58 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-08-22 15:51:20 +0000

    package.mask: Last rite dev-python/pygtk
    
    Bug: https://bugs.gentoo.org/706462
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/base/package.use.mask | 6 ++++++
 profiles/package.mask          | 6 ++++++
 2 files changed, 12 insertions(+)
Comment 2 David W Noon 2020-08-26 18:36:34 UTC
Are you aware that media-gfx/gimp still depends on pygtk?

dwn@karnak ~ % cd /var/portage/media-gfx/gimp
dwn@karnak gimp % fgrep pygtk *.ebuild
gimp-2.10.14-r1.ebuild:			>=dev-python/pygtk-2.10.4:2[${PYTHON_MULTI_USEDEP}]
gimp-2.10.18-r1.ebuild:			>=dev-python/pygtk-2.10.4:2[${PYTHON_MULTI_USEDEP}]
gimp-2.10.18-r2.ebuild:			>=dev-python/pygtk-2.10.4:2[${PYTHON_MULTI_USEDEP}]
gimp-2.10.20-r1.ebuild:			>=dev-python/pygtk-2.10.4:2[${PYTHON_MULTI_USEDEP}]
dwn@karnak gimp %

It is also compatible with Python 2.7 and not newer.
Comment 3 Matt Turner gentoo-dev 2020-08-26 20:04:17 UTC
(In reply to David W Noon from comment #2)
> Are you aware that media-gfx/gimp still depends on pygtk?
> 
> dwn@karnak ~ % cd /var/portage/media-gfx/gimp
> dwn@karnak gimp % fgrep pygtk *.ebuild
> gimp-2.10.14-r1.ebuild:			>=dev-python/pygtk-2.10.4:2[${PYTHON_MULTI_USEDEP}]
> gimp-2.10.18-r1.ebuild:			>=dev-python/pygtk-2.10.4:2[${PYTHON_MULTI_USEDEP}]
> gimp-2.10.18-r2.ebuild:			>=dev-python/pygtk-2.10.4:2[${PYTHON_MULTI_USEDEP}]
> gimp-2.10.20-r1.ebuild:			>=dev-python/pygtk-2.10.4:2[${PYTHON_MULTI_USEDEP}]
> dwn@karnak gimp %
> 
> It is also compatible with Python 2.7 and not newer.

Yes, gimp depends on pygtk when it has USE=python. This is why that flag has been masked:

profiles/base/package.use.mask:

# Michał Górny <mgorny@gentoo.org> (2020-08-22)
# These flags depend on dev-python/pygtk that is masked for removal.
app-mobilephone/sobexsrv gtk
<media-gfx/gimp-3 python
<x11-libs/vte-0.58 python
Comment 4 Larry the Git Cow gentoo-dev 2020-09-21 14:32:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2af490dc930448f41784ae44bd976f2edd068421

commit 2af490dc930448f41784ae44bd976f2edd068421
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-09-21 14:29:00 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-09-21 14:29:32 +0000

    dev-python/pygtk: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/706462
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/pygtk/Manifest                          |   1 -
 .../files/pygtk-2.13.0-fix-codegen-location.patch  |  11 ---
 .../pygtk/files/pygtk-2.14.1-libdir-pc.patch       |  12 ---
 .../pygtk/files/pygtk-2.24.0-fix-leaks.patch       |  58 -----------
 .../pygtk/files/pygtk-2.24.0-pango-1.44.patch      |  41 --------
 .../pygtk/files/pygtk-2.24.0-quartz-objc.patch     |  45 ---------
 .../pygtk/files/pygtk-2.24.0-test-fail.patch       |   9 --
 .../pygtk/files/pygtk-2.24.0-test_dialog.patch     |  28 ------
 dev-python/pygtk/metadata.xml                      |  23 -----
 dev-python/pygtk/pygtk-2.24.0-r5.ebuild            | 109 ---------------------
 profiles/package.deprecated                        |   4 -
 profiles/package.mask                              |   6 --
 12 files changed, 347 deletions(-)